import type { BuiltinThemeType } from '@vben-core/typings'

interface BuiltinThemePreset {
  color: string
  darkPrimaryColor?: string
  primaryColor?: string
  type: BuiltinThemeType
}

const BUILT_IN_THEME_PRESETS: BuiltinThemePreset[] = [
  {
    color: 'hsl(212 100% 45%)',
    type: 'default',
  },
  {
    color: 'hsl(245 82% 67%)',
    type: 'violet',
  },
  {
    color: 'hsl(347 77% 60%)',
    type: 'pink',
  },
  {
    color: 'hsl(42 84% 61%)',
    type: 'yellow',
  },
  {
    color: 'hsl(231 98% 65%)',
    type: 'sky-blue',
  },
  {
    color: 'hsl(161 90% 43%)',
    type: 'green',
  },
  {
    color: 'hsl(240 5% 26%)',
    darkPrimaryColor: 'hsl(0 0% 98%)',
    primaryColor: 'hsl(240 5.9% 10%)',
    type: 'zinc',
  },

  {
    color: 'hsl(181 84% 32%)',
    type: 'deep-green',
  },

  {
    color: 'hsl(211 91% 39%)',
    type: 'deep-blue',
  },
  {
    color: 'hsl(18 89% 40%)',
    type: 'orange',
  },
  {
    color: 'hsl(0 75% 42%)',
    type: 'rose',
  },

  {
    color: 'hsl(0 0% 25%)',
    darkPrimaryColor: 'hsl(0 0% 98%)',
    primaryColor: 'hsl(240 5.9% 10%)',
    type: 'neutral',
  },
  {
    color: 'hsl(215 25% 27%)',
    darkPrimaryColor: 'hsl(0 0% 98%)',
    primaryColor: 'hsl(240 5.9% 10%)',
    type: 'slate',
  },
  {
    color: 'hsl(217 19% 27%)',
    darkPrimaryColor: 'hsl(0 0% 98%)',
    primaryColor: 'hsl(240 5.9% 10%)',
    type: 'gray',
  },
  {
    color: '',
    type: 'custom',
  },
]

export const COLOR_PRESETS = [...BUILT_IN_THEME_PRESETS].slice(0, 7)

export { BUILT_IN_THEME_PRESETS }

export type { BuiltinThemePreset }

export const SYS_INFO = {
  title: '灵犀学AI平台',
  loginTitle: '灵犀学AI平台',
  loginSubtitle: 'AI赋能，助力教育',
  tenantId: '1966113040587837442', // 线上
  // tenantId: '1966391196339204098',
}
const url = window.location.href
if (url.includes('qzdyai.com')) {
  SYS_INFO.title = '勤智&德艺AI平台'
  SYS_INFO.loginTitle = '勤智&德艺AI内容建设中心'
  SYS_INFO.tenantId = '1966391196339204098'
} else if (url.includes('sp.xuexiaole.com')) {
  SYS_INFO.title = '灵犀学AI服务商平台'
  SYS_INFO.loginTitle = '灵犀学AI服务商平台'
} else if (url.includes('jg.xuexiaole.com')) {
  SYS_INFO.title = '灵犀学AI机构平台'
  SYS_INFO.loginTitle = '灵犀学AI机构平台'
} else if (url.includes('zazhipu.com')) {
  SYS_INFO.title = '小志学到AI平台'
  SYS_INFO.loginTitle = '小志学到AI平台'
  SYS_INFO.tenantId = '1966358228128296962'
}
